Bug 53485 - FILEOPEN EMF+ particular .emf: shown incomplete, without colored area
Summary: FILEOPEN EMF+ particular .emf: shown incomplete, without colored area
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: bibisected36older target:6.0.5
Keywords: bibisected, regression
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2012-08-14 09:29 UTC by Rainer Bielefeld Retired
Modified: 2018-04-19 11:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
EMF extracted from sample document (12.05 KB, image/x-emf)
2012-08-14 09:29 UTC, Rainer Bielefeld Retired
Details
excel + LO showing issue (144.11 KB, image/png)
2016-02-09 10:57 UTC, steve -_-
Details
Rendered incorrectly in 6.0.0.0.alpha1+ (36.70 KB, image/png)
2017-11-17 12:21 UTC, Aurimas Fišeras
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-08-14 09:29:47 UTC
Created attachment 65537 [details]
EMF extracted from sample document

Steps how to reproduce with Server Installation of  "LibreOffice 3.6.0.4  German UI/Locale [Build-ID:  932b512] on German WIN7 Home Premium (64bit):

0. Download  Attachment 42891 [details] of 
   "Bug 33869 - FILEOPEN particular .xlsx: OLE object not shown"
1. Launch LibO
2. Open sample document from LibO Start center file Dialog
   Expected: yellow dab of paint behind Heading "SisNeta"in Ole object 
   Actual: Ole Object shown without that dab of paint

I did some further investigations, extracted the attached "image1.emf" from .xls and tried to open in DRAW with various versions; found out that the root of the problem is a DRAW FILEOPEN problem

NEW due to Bug 33869#c10
Regression because was shown correctly with 3.5.6.2

Already broken with 
- MinGW build 2012-04-26
- Server installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 7175cee]" (tinderbox: Win-x86@6-fast, pull time 2012-05-16 22:07:37)

Still looked fine with
- Server installation of  Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 475d0c5-829fc92-39746e8-206648e-fefd87]" (2012-02-14)

@Aurimas:
Your operation system is?
Comment 1 Aurimas Fišeras 2012-08-14 09:38:23 UTC
Reproducible on:
LibreOffice 3.6.0.4 Lithuanian UI/Locale [Build-ID: 932b512] on English Win XP;
LibreOffice 3.6.0.2 Lithuanian UI/Locale (360m1(Build:102)) on Ubuntu 12.10.
Comment 2 Rainer Bielefeld Retired 2012-08-14 09:54:39 UTC
So the way how to reproduce the problem simply is: Open attached .emf from LibO Start Center File-open dialog in DRAW, check whether yellow area is visible.

@Radek:
I saw you active in at least 1 other .emf Bug. Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf.
Comment 3 Aurimas Fišeras 2012-08-18 14:22:56 UTC
I tried to git bisect this problem on my Ubuntu 12.10 machine.

At first I tried builds from error description
git bisect start '7175cee' '475d0c5'

However, with all intermediate builds - no yellow dab.

Then,
I checked out 475d0c5, built it - no yellow dab.
I checked out libreoffice-3-5-branch-point, built it - still no yellow dab.

My builds were made with:
--disable-mozilla --disable-binfilter --with-system-curl --with-system-boost --without-myspell-dicts --without-help --without-java --with-system-cppunit

What should I try next?
Should I try to bisect in a 3.5 branch?
Comment 4 Rainer Bielefeld Retired 2012-08-18 14:44:54 UTC
@Aurimas Fišeras:
I think your result 'Starts somewhere with change to 3.6' is enough for the moment, thank you for bibisecting.
Comment 5 Aurimas Fišeras 2012-08-19 08:02:44 UTC
Tried bibisecting 3.5 (thank you Rainer for introducing me to this wonderful tool) - both oldest and latest 3.5 builds - no yellow dab.

However, it looks, that it is more complicated:

Ubuntu 12.10 with official LibreOffice 3.5.6.2 Build ID: e0fbe70-5879838-a0745b0-0cd1158-638b327 - no yellow dab.
Ubuntu 12.10 with official LibreOffice 3.6.0.4 (932b512) - no yellow dab.

Windows with official LibreOffice 3.5.6.2 Build ID: e0fbe70-5879838-a0745b0-0cd1158-638b327 - yellow dab.
Windows with official LibreOffice 3.6.0.4 (932b512) - no yellow dab.
Windows with official LibreOffice 3.6.1.1 (4db6344) - no yellow dab.
Comment 6 steve -_- 2015-03-27 10:46:31 UTC
Confirmed on OSX 10.10.2
LO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: de_

persisting with Version: 4.5.0.0.alpha0+
Build ID: 4ee55eed6a34f6f061a0cd369a30afb464f9fa27
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2015-03-26_00:19:10
Locale: de_

thus Hardware OS: all not Linux only.
Comment 7 steve -_- 2016-02-09 10:57:29 UTC
Created attachment 122478 [details]
excel + LO showing issue
Comment 8 steve -_- 2016-02-09 10:57:46 UTC
Version: 5.2.0.0.alpha0+
Build ID: e07ffae5046e9c91ef96026435cab84c3bcb4534
CPU Threads: 4; OS Version: Mac OS X 10.11.3; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-02-08_23:39:45
Locale: de-DE (de.UTF-8)

persisting
Comment 9 Björn Michaelsen 2016-08-16 11:17:05 UTC
Adapt metadata:
Whiteboard:bibisected is Keyword:bibisected now.
Comment 10 QA Administrators 2017-11-17 09:10:47 UTC Comment hidden (obsolete)
Comment 11 Aurimas Fišeras 2017-11-17 12:21:54 UTC
Created attachment 137830 [details]
Rendered incorrectly in 6.0.0.0.alpha1+
Comment 12 Aurimas Fišeras 2017-11-17 12:30:09 UTC
The bug is still present in:
Versija: 6.0.0.0.alpha1+
Darinio identifikatorius: b8b5baefa9ead7a3360e0249224fd9beaa9b2bb0
Procesoriaus gijos: 4; OS:Linux 4.13; Sąsajos pateikimas: numatytasis; VCL: gtk3; 
Lokalė: lt-LT (lt_LT.UTF-8); Calc: group

Ran LibreOffice with "export SAL_LOG=+INFO,+WARN".
Only EMF+ TODOs mentioned are in EmfPlusRecordTypeHeader:
TODO    EMF+ SetPixelOffsetMode
TODO    EMF+ SetAntiAliasMode
TODO    EMF+ SetCompositingQuality
TODO    EMF+ InterpolationMode
Comment 13 Aurimas Fišeras 2018-04-18 09:05:11 UTC
This bug was fixed with commit:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2851d562cdfaf06e5f767030677846f3f129b1c
Comment 14 Commit Notification 2018-04-19 11:22:35 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=674e8c5412e938191ad3e928e9a52b5420bec85c&h=libreoffice-6-0

tdf#53485 tdf#117015 EMF+ Fix for displaying EMF+ files where GetDC is used

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.